RESTinio

Classes | Typedefs | Enumerations | Variables
restinio::http_field_parsers::qvalue_details Namespace Reference

## Classes
class | trusted
| A helper wrapper to indicate that value is already checked and shouldn't be checked again. More...
class | untrusted
| A helper wrapper to indicate that value hasn't been checked yet and should be checked in the constructor of qvalue. More...

## Typedefs
using | underlying_uint_t = std::uint_least16_t
| A type to hold a qvalue. More...

## Enumerations
enum class | extremum_min_t { v }
enum class | extremum_max_t { v }

## Variables
constexpr underlying_uint_t | maximum = 1000u
| The maximal allowed value for a qvalue. More...
constexpr underlying_uint_t | zero = 0u
| The minimal allowed value for a qvalue. More...

## Typedef Documentation

## ◆ underlying_uint_t

using restinio::http_field_parsers::qvalue_details::underlying_uint_t = typedef std::uint_least16_t

A type to hold a qvalue.

Definition at line 36 of file basics.hpp.

## Enumeration Type Documentation

## ◆ extremum_max_t

enum class restinio::http_field_parsers::qvalue_details::extremum_max_t
| strong

Enumerator
v |

Definition at line 46 of file basics.hpp.

## ◆ extremum_min_t

enum class restinio::http_field_parsers::qvalue_details::extremum_min_t
| strong

Enumerator
v |

Definition at line 45 of file basics.hpp.

## Variable Documentation

## ◆ maximum

constexpr underlying_uint_t restinio::http_field_parsers::qvalue_details::maximum = 1000u
| constexpr

The maximal allowed value for a qvalue.

Definition at line 39 of file basics.hpp.

## ◆ zero

constexpr underlying_uint_t restinio::http_field_parsers::qvalue_details::zero = 0u
| constexpr

The minimal allowed value for a qvalue.

Definition at line 41 of file basics.hpp.